{% extends 'component/list_component.html.twig' %}

{% block tableHeader %}
    {% if showEditButton == true %}
        <th class="mdc-data-table__header-cell" role="columnheader" scope="col"></th>
    {% endif %}

    {% include 'component/list_component/columnheader_component.html.twig' with {
        'sortable': sortable,
        'label': 'Name',
        'columnId': 'name',
        'ariaLabelId': 'name',
        'ariaLabelName': 'Name'
    } only %}

    {% include 'component/list_component/columnheader_component.html.twig' with {
        'sortable': sortable,
        'label': 'Nutzername',
        'columnId': 'nutzername',
        'ariaLabelId': 'username',
        'ariaLabelName': 'Username'
    } only %}

    {% include 'component/list_component/columnheader_component.html.twig' with {
        'sortable': sortable,
        'label': 'E-Mail',
        'columnId': 'email',
        'ariaLabelId': 'email',
        'ariaLabelName': 'E-Mail'
    } only %}

    {% include 'component/list_component/columnheader_component.html.twig' with {
        'sortable': false,
        'label': 'Administrator',
    } only %}

    {% include 'component/list_component/columnheader_component.html.twig' with {
        'sortable': false,
        'label': 'Freigeschaltet',
    } only %}

{% endblock %}

{% block tableContent %}
    {% if showEditButton == true %}
        <td class="mdc-data-table__cell" scope="row">
            <a href="{{ path('configuration_internal_account_user_edit', {accountUserId: listItem.getId()}) }}" class="material-icons mdc-icon-button mdc-card__action mdc-card__action--icon text-secondary">
                <div class="mdc-icon-button__ripple"></div>
                edit
            </a>
        </td>
    {% endif %}
    <td class="mdc-data-table__cell">{{ listItem.getFullName() }}</td>
    <td class="mdc-data-table__cell">{{ listItem.getUsername() }}</td>
    <td class="mdc-data-table__cell">{{ listItem.getEmail() }}</td>
    <td class="mdc-data-table__cell">
        {% if 'ROLE_ACCOUNT_ADMIN' in listItem.getRoles() %}
            <i class="material-icons mdc-button__icon" aria-hidden="true">check</i>
        {% else %}
            <i class="material-icons mdc-button__icon" aria-hidden="true">clear</i>
        {% endif %}
    </td>
    <td class="mdc-data-table__cell">
        {% if listItem.isEnabled() %}
            <i class="material-icons mdc-button__icon" aria-hidden="true">check</i>
        {% else %}
            <i class="material-icons mdc-button__icon" aria-hidden="true">clear</i>
        {% endif %}
    </td>
{% endblock %}
